<?php
if( !defined( '_VALID_MOS' ) && !defined( '_JEXEC' ) ) die( 'Direct Access to '.basename(__FILE__).' is not allowed.' );

/**
*
* @package Booklibrary
* @copyright 2009 Andrey Kvasnevskiy-OrdaSoft(akbet@mail.ru); Rob de Cleen(rob@decleen.com); 
* Homepage: http://www.joomlawebserver.com
* @version: 1.5.3 Free $
*
**/

$mosConfig_absolute_path = $GLOBALS['mosConfig_absolute_path']	= JPATH_SITE;
require_once($mosConfig_absolute_path."/administrator/components/com_booklibrary/compat.joomla1.5.php");

// load language
if (file_exists($mosConfig_absolute_path."/components/com_booklibrary/language/{$mosConfig_lang}.php" ))
 {
  include_once($mosConfig_absolute_path."/components/com_booklibrary/language/{$mosConfig_lang}.php" );
 } 
else 
 {
  include_once($mosConfig_absolute_path."/components/com_booklibrary/language/english.php" );
 }

require_once($mosConfig_absolute_path."/components/com_booklibrary/captcha.php");

/** load the html drawing class */
require_once( $mainframe->getPath( 'front_html' ) );
require_once( $mainframe->getPath( 'class' ) );
require_once ($mosConfig_absolute_path."/components/com_booklibrary/booklibrary.class.lend_request.php");
require_once ($mosConfig_absolute_path."/components/com_booklibrary/booklibrary.class.lend.php");
require_once ($mosConfig_absolute_path."/components/com_booklibrary/booklibrary.class.review.php");
require_once ($mosConfig_absolute_path."/administrator/components/com_booklibrary/admin.booklibrary.class.others.php");
require_once ($mosConfig_absolute_path."/administrator/components/com_booklibrary/admin.booklibrary.class.conf.php");
require_once ($mosConfig_absolute_path."/administrator/components/com_booklibrary/admin.booklibrary.class.ws.php");

$GLOBALS['lendstatus_show'] = $booklibrary_configuration['lendstatus']['show'];
$GLOBALS['lendrequest_registrationlevel'] = $booklibrary_configuration['lendrequest']['registrationlevel'];
$GLOBALS['reviews_show'] = $booklibrary_configuration['reviews']['show'];
$GLOBALS['reviews_registrationlevel'] = $booklibrary_configuration['reviews']['registrationlevel'];
$GLOBALS['ebooks_show'] = $booklibrary_configuration['ebooks']['show'];
$GLOBALS['ebooks_registrationlevel'] = $booklibrary_configuration['ebooks']['registrationlevel'];
$GLOBALS['price_show'] = $booklibrary_configuration['price']['show'];
$GLOBALS['cat_pic_show'] = $booklibrary_configuration['cat_pic']['show'];
$GLOBALS['debug'] = $booklibrary_configuration['debug'];
$GLOBALS['ebooks_location'] = $booklibrary_configuration['ebooks']['location'];
$GLOBALS['subcategory_show'] = $booklibrary_configuration['subcategory']['show'];
$GLOBALS['foto_high'] = $booklibrary_configuration['foto']['high'];
$GLOBALS['foto_width'] = $booklibrary_configuration['foto']['width'];						
$GLOBALS['booklibrary_configuration'] = $booklibrary_configuration;


$mainframe->setPageTitle( _BOOKLIBRARY_TITLE );

$task = trim( mosGetParam( $_REQUEST, 'task', "" ) );
$id = intval( mosGetParam( $_REQUEST, 'id', 0 ) );
$catid = intval(mosGetParam( $_REQUEST, 'catid', 0 ) );
$bids = mosGetParam($_REQUEST, 'bid', array(0));

// paginations
$intro    =  $booklibrary_configuration['page']['items']; // page length

if ($intro) 
 {
  $paginations = 1;
  $limit    = intval( mosGetParam( $_REQUEST, 'limit', $intro ) );
  $GLOBALS['limit'] = $limit;
 
  $limitstart = intval( mosGetParam( $_REQUEST, 'limitstart', 0 ) );
  
  $GLOBALS['limitstart'] = $limitstart;

  $total    = 0;
  $LIMIT = 'LIMIT '.$limitstart.','.$limit;
 }
 
else 
{
  $paginations = 0;
  $LIMIT    = '';
}

 $session =& JFactory::getSession();
 $session->set("array",$paginations);
            

if($booklibrary_configuration['debug'] == '1'){
  echo "Task: ".$task . "<br />";
  print_r($_POST);
  echo "<hr /><br />";
}


switch ($task)
{
        case 'secret_image':
        secretImage(); 
        break;

	case 'show_search':
	showSearchBooks( $option, $catid, $option );
	break;
	
	case 'search':
	searchBooks( $option, $catid, $option );
	break;

	case 'view':
	showItemBL( $id, $catid );
	break;

	case 'review':
	reviewBook( $option );
	break;
	
	case 'showCategory':
	//if no category is selected show default action
	if ( $catid ) 
  {
	  showCategory( $catid );
  } 
  else
   {
	  $task = "xxx";
	 }
	break;

	case 'lend_request':
		showLendRequest( $option, $bids );
	break;
	
	case 'save_lend_request':
		saveLendRequest( $option, $bids );
	break;
	
	case 'mdownload':
		mydownload($id);
	break;

	case 'downitsf':
		downloaditself($id);	
	break;	
	
	

	case 'new_url':
		new_direct_url($id);
	break;

	default:
	listCategories($catid);
	break;
	

}

function output_file($file, $name, $mime_type='')
{
 /*
 This function takes a path to a file to output ($file), 
 the filename that the browser will see ($name) and 
 the MIME type of the file ($mime_type, optional).
 
 If you want to do something on download abort/finish,
 register_shutdown_function('function_name');
 */
 if(!is_readable($file)) die('File not found or inaccessible!');
 
 $size = filesize($file);
 $name = rawurldecode($name);
 
 /* Figure out the MIME type (if not specified) */
 $known_mime_types=array(
  "pdf" => "application/pdf",
  "txt" => "text/plain",
  "html" => "text/html",
  "htm" => "text/html",
  "exe" => "application/octet-stream",
  "zip" => "application/zip",
  "doc" => "application/msword",
  "xls" => "application/vnd.ms-excel",
  "ppt" => "application/vnd.ms-powerpoint",
  "gif" => "image/gif",
  "png" => "image/png",
  "jpeg"=> "image/jpg",
  "jpg" =>  "image/jpg",
  "php" => "text/plain"
 );
 
 if($mime_type==''){
   $file_extension = strtolower(substr(strrchr($file,"."),1));
   if(array_key_exists($file_extension, $known_mime_types)){
    $mime_type=$known_mime_types[$file_extension];
   } else {
    $mime_type="application/force-download";
   };
 };
 
 ob_end_clean(); //turn off output buffering to decrease cpu usage
 
 // required for IE, otherwise Content-Disposition may be ignored
 if(ini_get('zlib.output_compression'))
  ini_set('zlib.output_compression', 'Off');
 
// header('Content-Type: ' . $mime_type);
header('Content-Type: application/force-download');
// header('Content-Disposition: attachment; filename="'.$name.'"');
 header("Content-Disposition: inline; filename=$name");
 header("Content-Transfer-Encoding: binary");
 header('Accept-Ranges: bytes');
 
 /* The three lines below basically make the 
    download non-cacheable */
 header("Cache-control: private");
 header('Pragma: private');
 header("Expires: Mon, 26 Jul 1997 05:00:00 GMT");
 
 // multipart-download and download resuming support
 if(isset($_SERVER['HTTP_RANGE']))
 {
  list($a, $range) = explode("=",$_SERVER['HTTP_RANGE'],2);
  list($range) = explode(",",$range,2);
  list($range, $range_end) = explode("-", $range);
  $range=intval($range);
  if(!$range_end) {
    $range_end=$size-1;
  } else {
    $range_end=intval($range_end);
  }
 
  $new_length = $range_end-$range+1;
  header("HTTP/1.1 206 Partial Content");
  header("Content-Length: $new_length");
//  header("Content-Range: bytes $range-$range_end/$size");
 } else {
  $new_length=$size;
  header("Content-Length: ".$size);
 }


 $chunksize = 1*(1024*1024); //you may want to change this
 $bytes_send = 0;
 if ($file = fopen($file, 'r'))
 {
  if(isset($_SERVER['HTTP_RANGE']))
  fseek($file, $range);
 
  while(!feof($file) && 
    (!connection_aborted()) && 
    ($bytes_send<$new_length)
        )
  {
    $buffer = fread($file, $chunksize);
    print($buffer); //echo($buffer); // is also possible
    flush();
    $bytes_send += strlen($buffer);
  }
 fclose($file);
 } else die('Error - can not open file.');

die();

}



function mydownload($id)
{


 	global $booklibrary_configuration;
	global $mosConfig_absolute_path;
        
        downloaditself($id);
}
function downloaditself($idt)
	{
	global $database,$my;
	global $booklibrary_configuration;
	global $mosConfig_absolute_path;
		

       
	if(array_key_exists("id",$_POST )  )
		$id= intval( $_POST['id'] );
	else
		$id=intval($idt);

	$query = "SELECT * from #__booklibrary where id = ".$id;
	$database->setQuery( $query );
	$book = $database->loadObjectList();

		if(strpos($_SERVER["HTTP_REFERER"],$_SERVER['SERVER_NAME']) !== false )
		{
		 $name = explode('/',$book[0]->ebookURL);

		 $file_path=$mosConfig_absolute_path.$GLOBALS['ebooks_location'].$name[count($name)-1];

		 set_time_limit(0);	
		 output_file($file_path, $name[count($name)-1]);
		 exit;
		}
		else
		{
      header("Cache-control: private");
      header('Pragma: private');
      header("Expires: Mon, 26 Jul 1997 05:00:00 GMT");
      header("HTTP/1.1 301 Moved Permanently");
      header('Content-Type: application/force-download');
      header("Location: ".$book[0]->ebookURL);
      exit;
		}
	}

function saveLendRequest($option, $bids){
	global $mainframe, $database, $my, $Itemid, $acl;
	global $booklibrary_configuration ;
	

  if( !($GLOBALS['lendstatus_show'])  ||
	!checkAccessBL($GLOBALS['lendrequest_registrationlevel'],'RECURSE', BookLibraryUserGID($my->id), $acl))
  {
         echo _BOOKLIBRARY_NOT_AUTHORIZED;
         return;
  }
	
	$help = array();	
	foreach($bids as $bid){
		$lend_request = new mosBookLibrary_lend_request($database); 
		if (!$lend_request->bind($_POST)) {
			echo "<script> alert('".$lend_request->getError()."'); window.history.go(-1); </script>\n";
			exit ();
		}
		$lend_request->lend_request = date("Y-m-d H:i:s");
		$lend_request->fk_bookid = intval($bid);
		
		if (!$lend_request->check()) {
			echo "<script> alert('".$lend_request->getError()."'); window.history.go(-1); </script>\n";
			exit ();
		}
		if (!$lend_request->store()) {
			echo "<script> alert('".$lend_request->getError()."'); window.history.go(-1); </script>\n";
			exit ();
		}

		
    $lend_request->checkin();
		array_push($help, $lend_request);
	}

	
	$currentcat = NULL;
	// Parameters
	$menu =new mosMenu( $database );
	$menu->load( $Itemid );
	$params = new mosParameters( $menu->params );
	$params->def( 'header', $menu->name );
	$params->def( 'pageclass_sfx', '' );
	//
	$params->def( 'show_search', '1' );
	$params->def( 'back_button', $mainframe->getCfg( 'back_button' ) );

	$currentcat->descrip = _BOOKLIBRARY_LABEL_LEND_REQUEST_THANKS;
	
	// page image
	$currentcat->img = "./components/com_booklibrary/images/book.png";


	$currentcat->header = '';
	if ( @$currentcat->name <> '' ) {
		$currentcat->header = $currentcat->name;
	} else {
		$currentcat->header = $params->get( 'header' );
	}
	$currentcat->header = $currentcat->header;
	
	// used to show table rows in alternating colours
	$tabclass = array( 'sectiontableentry1', 'sectiontableentry2' );

	HTML_booklibrary :: showLendRequestThanks($params, $currentcat);
	
}

function showLendRequest($option,$bid)
{
	global $mainframe, $database, $my, $Itemid, $acl;
	global $booklibrary_configuration;


	
  if( !($GLOBALS['lendstatus_show'])  ||
		!checkAccessBL($GLOBALS['lendrequest_registrationlevel'],'RECURSE', BookLibraryUserGID($my->id), $acl))
  {
        echo _BOOKLIBRARY_NOT_AUTHORIZED;
	  	  return;
  }
	
  foreach($bid as $key => $value) {
        $bid[ $key ] = intval($value);
    }

		
	$bids = implode(',', $bid);
	
	// getting all books for this category
	$query = "SELECT * FROM #__booklibrary"
		. "\nWHERE id IN (" .  $bids . ") AND fk_lendid = 0"
		. "\nORDER BY catid, ordering";
	$database->setQuery( $query );
	$books = $database->loadObjectList();
	
	
	$currentcat = NULL;
	// Parameters
	$menu = new mosMenu( $database );
	$menu->load( $Itemid );
	$params = new mosParameters( $menu->params );
	$params->def( 'header', _BOOKLIBRARY_DESC_TITLE );
	//$params->def( 'header', $menu->name );
	$params->def( 'pageclass_sfx', '' );
	$params->def( 'show_lendstatus', 1 );
	$params->def( 'show_lendrequest', 1 );
	$params->def( 'lend_save', 1); 
	$params->def( 'back_button', $mainframe->getCfg( 'back_button' ) );


	// page description
	$currentcat->descrip = _BOOKLIBRARY_DESC_LEND;
	
	// page image
	$currentcat->img = './components/com_booklibrary/images/book.png';
	$currentcat->align = 'right';

	$currentcat->header = '';
	if ( @$currentcat->name <> '' ) {
		$currentcat->header = $currentcat->name;
	} else {
		$currentcat->header = $params->get( 'header' );
	}
	//$currentcat->header = $currentcat->header . ": " . $category->title;
	
	// used to show table rows in alternating colours
	$tabclass = array( 'sectiontableentry1', 'sectiontableentry2' );

//	HTML_booklibrary :: showLendRequest($books, $currentcat, $params, $tabclass, $catid, $sub_categories,is_exist_subcategory_books($catid) );
	HTML_booklibrary :: showLendRequest($books, $currentcat, $params, $tabclass, $catid, $sub_categories,false);
}


/**
 * comments for registered users
 */
function reviewBook()
{

	global $mainframe, $database, $my, $Itemid, $acl, $booklibrary_configuration, $mosConfig_absolute_path, $catid;
	global $session;
	

  if(!($GLOBALS['reviews_show'])  || !checkAccessBL($GLOBALS['reviews_registrationlevel'],'RECURSE', BookLibraryUserGID($my->id), $acl)) 
  {
		echo _BOOKLIBRARY_NOT_AUTHORIZED;
	 	return;
	}	
	
  $review = new mosBookLibrary_review($database);

	$review->date = date("Y-m-d H:i:s");
	$review->fk_userid = $my->id;

	if (!$review->bind($_POST)) {
		echo "<script> alert('".$book->getError()."'); window.history.go(-1); </script>\n";
		exit ();
	}
	
	if (!$review->check()) {
		echo "<script> alert('".$book->getError()."'); window.history.go(-1); </script>\n";
		exit ();
	}
	if (!$review->store()) {
		echo "<script> alert('".$book->getError()."'); window.history.go(-1); </script>\n";
		exit ();
	}

	//showing the original entries
	mosRedirect("?option=com_booklibrary&amp;task=view&amp;catid=".intval($_POST['catid'])."&amp;id=$review->fk_bookid&amp;Itemid=$Itemid");

}



//this function check - is exist books in this folder and folders under this category 
function is_exist_curr_and_subcategory_books($catid) {
		global $database, $my; 

		$query = "SELECT *, COUNT(a.id) AS numlinks FROM #__categories AS cc" 
			. "\n LEFT JOIN #__booklibrary AS a ON a.catid = cc.id" 
			. "\n WHERE a.published='1' AND a.approved='1' AND section='com_booklibrary' AND cc.id='$catid' AND cc.published='1' AND cc.access <= '$my->gid'" 
			. "\n GROUP BY cc.id" 
			. "\n ORDER BY cc.ordering"; 
		$database->setQuery( $query ); 
		$categories = $database->loadObjectList();
		if( count($categories) != 0 ) return true;

		$query = "SELECT id " 
			. "FROM #__categories AS cc " 
			. " WHERE section='com_booklibrary' AND parent_id='$catid' AND published='1' AND access<='$my->gid'"; 
		$database->setQuery( $query ); 
		$categories = $database->loadObjectList();
 
		if( count($categories) == 0 ) return false;

		foreach($categories as $k) {
			if( is_exist_curr_and_subcategory_books($k->id) ) return true;
		}
		return false; 
}//end function

//*****************************************************************************

//this function check - is exist folders under this category 
function is_exist_subcategory_books($catid) {
		global $database, $my; 

		$query = "SELECT *, COUNT(a.id) AS numlinks FROM #__categories AS cc" 
			. "\n LEFT JOIN #__booklibrary AS a ON a.catid = cc.id" 
			. "\n WHERE a.published='1' AND a.approved='1' AND section='com_booklibrary' AND parent_id='$catid' AND cc.published='1' AND cc.access <= '$my->gid'" 
			. "\n GROUP BY cc.id" 
			. "\n ORDER BY cc.ordering"; 
		$database->setQuery( $query ); 
		$categories = $database->loadObjectList();
		if( count($categories) != 0 ) return true;

		$query = "SELECT id " 
			. "FROM #__categories AS cc " 
			. " WHERE section='com_booklibrary' AND parent_id='$catid' AND published='1' AND access<='$my->gid'"; 
		$database->setQuery( $query ); 
		$categories = $database->loadObjectList();
 
		if( count($categories) == 0 ) return false;

		foreach($categories as $k) {
			if( is_exist_subcategory_books($k->id) ) return true;
		}
		return false; 
}//end function


/**
 * This function is used to show a list of all books
 */
function listCategories( $catid ) 
{
//echo $catid ; exit;

	global $mainframe, $database, $my, $acl;
	global $mosConfig_shownoauth, $mosConfig_live_site, $mosConfig_absolute_path;
	global $cur_template, $Itemid, $booklibrary_configuration;

  $query = "select c.id, c.parent_id, c.title, c.image, '0' as books, '0' as display " .
    " from  #__categories as c where section='com_booklibrary' ORDER BY parent_id, ordering "; 
    
 $database->setQuery( $query ); 
 $cat_all1 = $database->loadObjectList();

  $query = "select a.id as id, count(b.id) as books ". 
    " from #__categories as a, #__booklibrary as b ".
    " where b.catid=a.id and b.published=1 GROUP BY a.id";

  $database->setQuery( $query ); 
  $cat_all2 = $database->loadObjectList();

  $cat_all = Array();

  foreach($cat_all1 as $cat_item1){
    foreach( $cat_all2 as $cat_item2 ){
      if($cat_item1->id === $cat_item2->id  ){
        $cat_item1->books = $cat_item2->books;
      }
    }
    $cat_all[] = $cat_item1;
  }

	for ($i = 0; $i < count($cat_all); $i++) {
		if (is_exist_curr_and_subcategory_books($cat_all[$i]->id)) $cat_all[$i]->display = 1;
	}

	$currentcat = NULL;
	// Parameters
	$menu = new mosMenu( $database );
	$menu->load( $Itemid );
	$params = new mosParameters( $menu->params );
	$params->def( 'header', $menu->name );
	$params->def( 'pageclass_sfx', '' );
	$params->def( 'show_search', '1' );
	$params->def( 'back_button', $mainframe->getCfg( 'back_button' ) );

	// page header
	$currentcat->header = '';
	if ( @$currentcat->name <> '' ) {
		$currentcat->header = $currentcat->name;
	} else {
		$currentcat->header = $params->get( 'header' );
	}

	//add for show in category picture
	if(($GLOBALS['cat_pic_show'])) $params->def( 'show_cat_pic', 1 );

	// page description
	$currentcat->descrip = _BOOKLIBRARY_DESC;

	// used to show table rows in alternating colours
	$tabclass = array( 'sectiontableentry1', 'sectiontableentry2' );

	HTML_booklibrary::showCategories($params, $cat_all, $catid, $tabclass, $currentcat);
}



function constructPathway($cat){
    global $mainframe, $database, $option, $Itemid,$mosConfig_absolute_path;

    $query = "SELECT * FROM #__categories WHERE section = 'com_booklibrary' AND published = 1";
    $database->setQuery($query);
    $rows = $database->loadObjectlist('id');
    $pid = $cat->id;
    $pathway = array();
    $pathway_name = array();
    while($pid != 0){

      $cat = @$rows[$pid];

      $pathway[] =  sefRelToAbs('index.php?option=' . $option . '&task=showCategory&catid=' . @$cat->id . '&Itemid=' . $Itemid);
      $pathway_name[] =  @$cat->title  ;
      $pid = @$cat->parent_id;
    }

    $pathway = array_reverse($pathway);
    $pathway_name = array_reverse($pathway_name);

    for($i=0,$n=count($pathway);$i<$n;$i++){
      $mainframe->appendPathWay($pathway_name[$i],$pathway[$i] );
//echo $pathway[$i] ."::";
    }
//exit;
}


/**
 * This function is used to show a list of all books
 */
function showCategory( $catid )
{



	global $mainframe, $database, $acl, $my;
	global $mosConfig_shownoauth, $mosConfig_live_site, $mosConfig_absolute_path;
	global $cur_template, $Itemid, $booklibrary_configuration;



	// getting all books for this category
	$query = "SELECT id, isbn, authors, rating, title, catid, fk_lendid, date, hits, URL,imageURL FROM #__booklibrary"
		. "\nWHERE catid = '$catid' AND published='1' AND approved='1' AND archived=0"
		. "\nORDER BY ordering";
	$database->setQuery( $query );
	$books = $database->loadObjectList();	
	
	//getting the current category informations
	$query = "SELECT * FROM #__categories WHERE id='$catid'";
	$database->setQuery( $query );	
	$category = $database->loadObjectList();
	$category = $category[0];


  $query = "select c.id, c.parent_id, c.title, c.image, '0' as books, '0' as display " .
    " from  #__categories as c where section='com_booklibrary' ORDER BY parent_id, ordering "; 
    
 $database->setQuery( $query ); 
 $cat_all1 = $database->loadObjectList();

  $query = "select a.id as id, count(b.id) as books ". 
    " from #__categories as a, #__booklibrary as b ".
    " where b.catid=a.id and b.published=1 GROUP BY a.id";

  $database->setQuery( $query ); 
  $cat_all2 = $database->loadObjectList();

  $cat_all = Array();

  foreach($cat_all1 as $cat_item1){
    foreach( $cat_all2 as $cat_item2 ){
      if($cat_item1->id === $cat_item2->id  ){
        $cat_item1->books = $cat_item2->books;
      }
    }
    $cat_all[] = $cat_item1;
  }

	for ($i = 0; $i < count($cat_all); $i++) {
		if (is_exist_curr_and_subcategory_books($cat_all[$i]->id)) $cat_all[$i]->display = 1;
	}
	

	$currentcat = NULL;
	// Parameters
	$menu = new mosMenu( $database );
	$menu->load( $Itemid );
	$params = new mosParameters( $menu->params );
	$params->def( 'header', $menu->name );
	$params->def( 'pageclass_sfx', '' );
	$params->def( 'category_name', $category->title );
	$params->def( 'show_search', '1' );
	
	//add to path category name
	constructPathway($category);
	$mainframe->appendPathWay($category->name);


	if( ($GLOBALS['lendstatus_show']) )
        {
		$params->def('show_lendstatus',1);
		if (checkAccessBL($GLOBALS['lendrequest_registrationlevel'],'RECURSE', BookLibraryUserGID($my->id), $acl)) {
			$params->def( 'show_lendrequest', 1);
		}
	}

	//add for show in category picture
	if( ($GLOBALS['cat_pic_show']) ) $params->def( 'show_cat_pic', 1 );

	$params->def( 'show_rating', 1 );
	
	$params->def( 'hits', 1 );
	$params->def( 'back_button', $mainframe->getCfg( 'back_button' ) );


	$currentcat->descrip = $category->description;
	
	// page image
	$currentcat->img = null;
	$path = $mosConfig_live_site .'/images/stories/';
	if ( $category->image != null && count($category->image) > 0) {
		$currentcat->img = $path . $category->image;
		$currentcat->align = $category->image_position;
	}

	$currentcat->header = '';
	if ( @$currentcat->name <> '' ) {
		$currentcat->header = $currentcat->name;
	} else {
		$currentcat->header = $params->get( 'header' );
	}
	$currentcat->header = $currentcat->header . ": " . $category->title;
	


	// used to show table rows in alternating colours
	$tabclass = array( 'sectiontableentry1', 'sectiontableentry2' );

	HTML_booklibrary::displayBooks($books, $currentcat, $params, $tabclass, $catid,
    $cat_all,is_exist_subcategory_books($catid) );
}



function showItemBL ($id, $catid) 
{
	global $mainframe, $database, $my, $acl, $option ;
	global $mosConfig_shownoauth, $mosConfig_live_site, $mosConfig_absolute_path;
	global $cur_template, $Itemid, $booklibrary_configuration;
 
	//add to path category name
	//getting the current category informations
	$query = "SELECT * FROM #__categories WHERE id='$catid'";
       
	$database->setQuery( $query );	
	$category = $database->loadObjectList();

	$category = $category[0];

  constructPathway($category);
  $pathway =  sefRelToAbs('index.php?option=' . $option . 
	  		'&task=showCategory&catid=' . $category->id . '&Itemid=' . $Itemid);
  $pathway_name =  "book"  ;
	$mainframe->appendPathWay($pathway_name,$pathway);
	$mainframe->appendPathWay(" ");

	//Record the hit
	$sql="UPDATE #__booklibrary SET hits = hits + 1 WHERE id = ". $id ."";
	$database->setQuery( $sql );
	$database->query();

	//load the book
	$book = new mosBookLibrary( $database );
	$book->load($id);

//print_r($book);
 //echo '<br /><br />';

$session=&JFactory::getSession();
$session->get("obj_book",$book);
	
	// Parameters
	$menu = new mosMenu( $database );
	$menu->load( $Itemid );
	$params = new mosParameters( $menu->params );
	$params->def( 'header', $menu->name );
	$params->def( 'pageclass_sfx', '' );


	if( ($GLOBALS['lendstatus_show']) ){
		$params->def( 'show_lendstatus', 1 );
		if (checkAccessBL($GLOBALS['lendrequest_registrationlevel'],'RECURSE', BookLibraryUserGID($my->id), $acl)) {
			$params->def( 'show_lendrequest', 1);
		}
	}
	
	if( ($GLOBALS['reviews_show']) ){
		$params->def( 'show_reviews', 1 );
		if (checkAccessBL($GLOBALS['reviews_registrationlevel'],'RECURSE', BookLibraryUserGID($my->id), $acl)) {
			$params->def( 'show_inputreviews', 1);
		}
	}	
	
	if( ($GLOBALS['ebooks_show']) ){
		$params->def( 'show_ebookstatus', 1 );
		if (checkAccessBL($GLOBALS['ebooks_registrationlevel'],'RECURSE', BookLibraryUserGID($my->id), $acl)) {
			$params->def( 'show_ebooksrequest', 1);
		}
	} 

	if( ($GLOBALS['price_show']) ){
		$params->def( 'show_pricestatus', 1 );
		$params->def( 'show_pricerequest', 1);
	}
	
	$params->def( 'pageclass_sfx', '' );
	$params->def( 'item_description', 1 );
	$params->def( 'lend_request', $GLOBALS['lendrequest_registrationlevel']);
	$params->def( 'show_ebook', $GLOBALS['ebooks_show']);
	$params->def( 'show_price', $GLOBALS['price_show']);
	$params->def( 'back_button', $mainframe->getCfg( 'back_button' ) );
	
	
	// page header
	$currentcat->header = '';
	if ( @$currentcat->name <> '' ) {
		$currentcat->header = $currentcat->name;
	} else {
		$currentcat->header = $params->get( 'header' );
	}
	$currentcat->header = $currentcat->header . ": " . $book->title;	
	
  //get language List
  $retVal1 = mosBooklibraryOthers :: getLanguageArray();
  $book_lang = null;
  for ($i = 0, $n = count($retVal1); $i < $n; $i ++) {
    $help = & $retVal1[$i];
    if($book->language == $help[0] ) {
      $book_lang = $help[1];
      break;
    }
  }

  // show the book
  HTML_booklibrary::displayBook( $book, $tabclass, $params, $currentcat, $ratinglist,$book_lang );
}


//**************   begin gevi direct url   *************************

function new_direct_url($id) {
	global $database;
	//SELECT URL FROM #__booklibrary WHERE id=9;

	$database->setQuery("SELECT URL FROM #__booklibrary WHERE id=".$id.";");	
	$direct_url = $database->loadResult();
	header("Location: ".$direct_url);
}

//************   end gevi direct url   ******************************


function showSearchBooks($options, $catid, $option)
{

	global $mainframe, $database, $my;
	global $mosConfig_shownoauth, $mosConfig_live_site, $mosConfig_absolute_path;
	global $cur_template, $Itemid;
	
	$currentcat = NULL;
	// Parameters
	$menu = new mosMenu( $database );
	$menu->load( $Itemid );
	$params = new mosParameters( $menu->params );
	$params->def( 'header', $menu->name );
	$params->def( 'pageclass_sfx', '' );
	//
	$params->def( 'show_search', '1' );
	$params->def( 'back_button', $mainframe->getCfg( 'back_button' ) );

	$currentcat->descrip = _BOOKLIBRARY_SEARCH_DESC1;
      $currentcat->align = 'right';
	
	// page image
	$currentcat->img = "./components/com_booklibrary/images/book.png";


	$currentcat->header = '';
	if ( @$currentcat->name <> '' ) {
		$currentcat->header = $currentcat->name;
	} else {
		$currentcat->header = $params->get( 'header' );
	}
	$currentcat->header = $currentcat->header . ": " . _BOOKLIBRARY_LABEL_SEARCH;
	
	// used to show table rows in alternating colours
	$tabclass = array( 'sectiontableentry1', 'sectiontableentry2' );

	$categories[] = mosHTML :: makeOption('0', _BOOKLIBRARY_SEARCH_CATEGORY );
	$database->setQuery("SELECT id AS value, name AS text FROM #__categories"."\nWHERE section='$option' ORDER BY name");
	$categories = array_merge($categories, $database->loadObjectList());

	if (count($categories) < 1) {
	    mosRedirect("index2.php?option=categories&amp;section=$option&amp;err_msg=You must first create category for that section.");
	}

	$clist = mosHTML :: selectList($categories, 'catid', 'class="inputbox" size="1"', 'value', 'text', 0);


	// show thte book 
	HTML_booklibrary::showSearchBooks( $params, $currentcat, $clist , $option);

}

function searchBooks($options, $catid, $option){

        global $mainframe, $database, $my, $acl;
        global $mosConfig_shownoauth, $mosConfig_live_site, $mosConfig_absolute_path;
        global $cur_template, $Itemid, $booklibrary_configuration;
	
        $session = &JFactory::getSession();

	
        if(array_key_exists("searchtext",$_REQUEST))
        {	
          $search = mosGetParam( $_REQUEST, 'searchtext', '' );
          $session->set("poisk",$search);	
        }	
        
        $poisk_search = $session->get("poisk","default") ;
         if( ! get_magic_quotes_gpc()  )  $poisk_search = addslashes($poisk_search) ;

        $where = array();
        
        array_push($where, "(LOWER(b.title) LIKE '%$poisk_search%' OR LOWER(b.authors) LIKE '%$poisk_search%' OR LOWER(b.isbn) LIKE '%$poisk_search%' OR LOWER(b.comment) LIKE '%$poisk_search%')");
        array_push($where, "b.published='1'");
        array_push($where, "b.approved='1'");
        array_push($where, "b.archived=0");
        if($catid){
          array_push($where, "c.id=$catid");
        }
	
        // getting all books for this category
        $query = "SELECT b.*, c.title as category_titel, c.ordering as category_ordering FROM #__booklibrary AS b ".
          "\nLEFT JOIN #__categories AS c".
          "\nON b.catid = c.id". 
          ((count($where) ? "\nWHERE ".implode(' AND ', $where) : "")).
          "\nORDER BY category_ordering, ordering";
        $database->setQuery( $query );
        $books = $database->loadObjectList();
	

          $currentcat = NULL;
          // Parameters
          $menu = new mosMenu( $database );
          $menu->load( $Itemid );
          $params = new mosParameters( $menu->params );
          $params->def( 'header', $menu->name );
          $params->def( 'pageclass_sfx', '' );
          $params->def( 'category_name', _BOOKLIBRARY_LABEL_SEARCH );
          $params->def( 'search_request', '1' );	
          $params->def( 'hits', 1 );
          $params->def( 'show_rating', 1 );
	
	
          if(($GLOBALS['lendstatus_show'])){
            $params->def( 'show_lendstatus', 1 );
            if (checkAccessBL( $GLOBALS['lendrequest_registrationlevel'],'RECURSE', BookLibraryUserGID($my->id), $acl)) {
              $params->def( 'show_lendrequest', 1);
            }
          }


          //add for show in category picture
          if(($GLOBALS['cat_pic_show'])) $params->def('show_cat_pic',1);
          
          $params->def( 'back_button', $mainframe->getCfg('back_button'));
          
          $currentcat->descrip = _BOOKLIBRARY_SEARCH_DESC2;
          $currentcat->align = 'right';
          // page image
          $currentcat->img = "./components/com_booklibrary/images/book.png";
          
          $currentcat->header = '';
          if ( @$currentcat->name <> '' ) {
            $currentcat->header = $currentcat->name;
          } else {
            $currentcat->header = $params->get( 'header' );
          }
          $currentcat->header = $currentcat->header .":". _BOOKLIBRARY_LABEL_SEARCH;
          
          // used to show table rows in alternating colours
          $tabclass = array( 'sectiontableentry1', 'sectiontableentry2' );
          
          HTML_booklibrary::displayBooks($books, $currentcat, $params, $tabclass, $catid, null,false);
}

function secretImage()
{ 
      $session =& JFactory::getSession();

      $pas = $session->get('captcha_keystring', 'default');
	 $new_img = new PWImage();
	 $new_img->set_show_string($pas);
	 $new_img->get_show_image(2.2, array(mt_rand(0,50), mt_rand(0,50), mt_rand(0,50)), array(mt_rand(200,255), mt_rand(200,255), mt_rand(200,255)));

         exit();
}

function checkAccessBL( $accessgroupid, $recurse, $usersgroupid, $acl) {
	
	//parse usergroups
	$tempArr = array();
	$tempArr = explode(',',$accessgroupid);
//	print_r($tempArr);echo ':<BR />'; print_r($usersgroupid);
//	echo ':<BR />';
	for($i = 0;$i<count($tempArr);$i++)
	{
	 if($tempArr[$i] == $usersgroupid || $tempArr[$i]==-2){
		return 1;
		}else 
		if($recurse == 'RECURSE'){
			$groupchildren=array();
			$groupchildren=$acl->get_group_children( $tempArr[$i], 'ARO', $recurse );
			if(is_array($groupchildren)&& count($groupchildren) > 0) 
				if ( in_array($usersgroupid, $groupchildren) )
					return 1;
					}
		
	}
        
		//deny access
     		return 0;
	  
}

function BookLibraryUserGID($oID){
  	global $database,$ueConfig;
	if($oID > 0) {
		$query = "SELECT gid FROM #__users WHERE id = '".$oID."'";
		$database->setQuery($query);
		$gid = $database->loadResult();
		return $gid;
	}
	else return 0;
}

?>
